<template>
  <div class="inputTime">
    <picker mode="date"
            name="activity.endDate"
            :value="inputtime.value?inputtime.value:''"
            start="inputtime.mintime?inputtime.mintime:''"
            end="inputtime.maxtime"
            @change="bindDateChange">
      <div class="list">
        <p class="title">{{inputtime.text}} *</p>
        <div  class="item">{{inputtime.value?inputtime.value:inputtime.placeholder}}</div>
        <!-- <img :src="enterIcon"> -->
      </div>
    </picker>
    <div class="line"></div>
  </div>
</template>

<script type="text/ecmascript-6">
  // ic-common-forward
  import config from '@/config'
  export default {
     data(){
        return{
          enterIcon: config.url+'ic-common-forward.png',
          activity:{
            endDate:''
          }
        }
     },
     props:{
       inputtime:{
         default(){
          return{
            text : '请选择时间',
            placeholder: '请选择时间',
            value:'',//时间值
            mintime : null,//最小时间
            maxtime : null//最大时间
           }
         }
       }
     },
      methods:{
        bindDateChange(e) {
          console.log(e)
          console.log(this.inputtime.maxtime);
          this.activity.endDate = e.mp.detail.value;
          this.inputtime.value = e.mp.detail.value;
        }
      },
      created(){

      }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  .inputTime{
    .list{
      position: relative;
      .title{
        margin-right: 0.5rem;
        font-size: 0.32rem;
        color: #727171 !important;
      }
      p{
        color: #000;
        font-size: 0.24rem;
      }
      .item{
           background: #EAEAEA;
            width: 6.1rem;
            margin-top: 0.14rem;
            height: 0.6rem;
            line-height: 0.6rem;
            font-size: 0.24rem;
            padding-left: 0.2rem;
      }
      img{
        position: absolute;
        top: 0.05rem;
        right: 0.5rem;
        width: 0.13rem;
        height: 0.22rem;
      }
    }
    .line{
      margin-top: 0.25rem;
    //   border-bottom: 1px solid #4c4c4c;
    }
  }
</style>
